 /*
 * MAIN Generated Driver File
 * 
 * @file main.c
 * 
 * @defgroup main MAIN
 * 
 * @brief This is the generated driver implementation file for the MAIN driver.
 *
 * @version MAIN Driver Version 1.0.0
*/

/*
? [2023] Microchip Technology Inc. and its subsidiaries.

    Subject to your compliance with these terms, you may use Microchip 
    software and any derivatives exclusively with Microchip products. 
    You are responsible for complying with 3rd party license terms  
    applicable to your use of 3rd party software (including open source  
    software) that may accompany Microchip software. SOFTWARE IS ?AS IS.? 
    NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS 
    SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT,  
    MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT 
    WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY 
    KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF 
    MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE 
    FORESEEABLE. TO THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP?S 
    TOTAL LIABILITY ON ALL CLAIMS RELATED TO THE SOFTWARE WILL NOT 
    EXCEED AMOUNT OF FEES, IF ANY, YOU PAID DIRECTLY TO MICROCHIP FOR 
    THIS SOFTWARE.
*/

#include "mcc_generated_files/system/system.h"
#include <string.h>
#include <stdio.h>
#include "OLED128x64.h"
#define VEML7700_ADDR   0x10 
#define MCP9808_ADDR    0x1f
#define BME280_ADDR     0x76
#define BMI323_ADDR     0x68 

#define NOP()           asm("NOP")

void    CCL_To_CLED(void) ;

volatile unsigned char  RTC_INT_FLAG = 0  ;
volatile unsigned char  I2C_Wbuffer[16];   
volatile unsigned char  I2C_Rbuffer[16] ;

unsigned char       ASCII_Buffer[20];
unsigned int        LightingValue = 0 ;
unsigned int        MCP9808Value = 0 ;

unsigned char       SPI_rdata;
unsigned int        CLED_Steps = 0 ;
unsigned int        VR_ReadResult = 0 ;

unsigned char   SPI_Buf[10];
unsigned char   SPI_Buffer_DAC[4];
unsigned char   CLED_Brightness = 16 ;

unsigned int    MCP4921_Value = 90 ;

union
{
    unsigned char   ByteVal[2];
    unsigned int    WordValue ;
}MCP4921_Output;

/*
    Main application
*/

void    My_RTC_ISR(void)
{
    RTC_INT_FLAG = 1 ;
}

int main(void)
{
    SYSTEM_Initialize();
    RTC_SetCMPIsrCallback(My_RTC_ISR) ;
    PORTMUX.TWIROUTEA = 0b00000010;             // Set  PC2/PC3 as Host/Client pin of TWI0 
                                                                                // IO-Pin  PC2 & PC3 must be set as OUTPUT ! 
    
    
        OLED_Init();                                                    
        OLED_CLS();
    
                I2C_Wbuffer[0] = 0xd0 ;
                I2C0_Host.WriteRead(BME280_ADDR,I2C_Wbuffer,1,I2C_Rbuffer,1);
                while ( I2C0_Host.IsBusy()) ;
                
                if (I2C_Rbuffer[0] != 0x60)
                {
                    OLED_Put8x16Str(0,0,"BME280 Fail");
                    while (1) ;
                }
                
                I2C_Wbuffer[0] = 0x00 ;
                I2C0_Host.WriteRead(BMI323_ADDR,I2C_Wbuffer,1,I2C_Rbuffer,4);
                while ( I2C0_Host.IsBusy()) ;
                
                
                if (I2C_Rbuffer[2] != 0x43)
                {
                    OLED_Put8x16Str(0,2,"BMI323 Fail");
                    while (1) ;
                }               
    
    // Activate Lighting Sensor
        I2C_Wbuffer[0] = 0x00 ;
        I2C_Wbuffer[1] = 0x00 ;
        I2C_Wbuffer[2] = 0x18 ;
        I2C0_Host.Write(VEML7700_ADDR,I2C_Wbuffer , 3) ;                
        while ( I2C0_Host.IsBusy()) ;

                I2C_Wbuffer[0] = 0x01 ;
                I2C_Wbuffer[1] = 0x00 ;
                I2C_Wbuffer[2] = 0x04 ;
                I2C0_Host.Write(MCP9808_ADDR,I2C_Wbuffer,2);
                while ( I2C0_Host.IsBusy()) ;
        
                I2C_Wbuffer[0] = 0x02 ;
                I2C_Wbuffer[1] = 0x05 ;
                I2C_Wbuffer[2] = 0xa0 ;
                I2C0_Host.Write(MCP9808_ADDR,I2C_Wbuffer,3);
                while ( I2C0_Host.IsBusy()) ;
                
                I2C_Wbuffer[0] = 0x03 ;
                I2C_Wbuffer[1] = 0x00 ;
                I2C_Wbuffer[2] = 0x10 ;
                I2C0_Host.Write(MCP9808_ADDR,I2C_Wbuffer,3);
                while ( I2C0_Host.IsBusy()) ;   
                
                I2C_Wbuffer[0] = 0x04 ;
                I2C_Wbuffer[1] = 0x05 ;
                I2C_Wbuffer[2] = 0xa0 ;
                I2C0_Host.Write(MCP9808_ADDR,I2C_Wbuffer,3);
                while ( I2C0_Host.IsBusy()) ;                
        

        OLED_Put8x16Str(0,0,"AVR128DA Melody");
        OLED_Put8x16Str(0,4,"VR:     Temp:");
        OLED_Put8x16Str(0,6,"Lighting=");

        SPI0_ByteWrite(0x00);
    
    while(1)
    {
        if (RTC_INT_FLAG)
        {
            LED1_PB2_Toggle();
            LED2_PB3_SetHigh();  
            
                // ADC0_StartConversion(ADC_MUXPOS_AIN3_gc);
                VR_ReadResult = ADC0_GetConversion(ADC_MUXPOS_AIN0_gc);
            
                sprintf (ASCII_Buffer,"%4d",VR_ReadResult ) ;
                OLED_Put8x16ASCII(24,4,4,(uint8_t*)ASCII_Buffer) ;       
                
                I2C_Wbuffer[0] = 5 ;
                I2C0_Host.WriteRead(MCP9808_ADDR,I2C_Wbuffer,1,I2C_Rbuffer,2);
                while ( I2C0_Host.IsBusy()) ;
               
                               
                MCP9808Value = (unsigned int)(I2C_Rbuffer[0] * 256) + I2C_Rbuffer[1];   
                MCP9808Value  = MCP9808Value >> 4 ;
                MCP9808Value &= 0x00ff ;
                sprintf (ASCII_Buffer,"%3d",MCP9808Value) ;
                OLED_Put8x16ASCII(104,4,3,(uint8_t*)ASCII_Buffer) ;                    
                
            
            if (SW3_PB0_GetValue())
                LED3_PB4_SetLow();
            else
                LED3_PB4_SetHigh();
            
            if (SW4_PB1_GetValue())
                LED4_PB5_SetLow();
            else
                LED4_PB5_SetHigh();

            if (!DIR_A_GetValue())
            {
               printf ("Your Direction is A \n\r") ;
               OLED_Put8x16Str(0,2,"SW1 is DIR-A    ");
            }   
            else if (!DIR_B_GetValue())
            {
               printf ("Your Direction is B \n\r") ;
               OLED_Put8x16Str(0,2,"SW1 is DIR-B    ");
            }   
            else if (!DIR_C_GetValue())
            {
               printf ("Your Direction is C \n\r") ;
               OLED_Put8x16Str(0,2,"SW1 is DIR-C    ");
            }   
            else if (!DIR_D_GetValue())
            {
               printf ("Your Direction is D \n\r") ;
               OLED_Put8x16Str(0,2,"SW1 is DIR-D    ");
            }   
            else if (!DIR_CNT_GetValue())
            {
               printf ("Your Direction is Down \n\r") ;
               OLED_Put8x16Str(0,2,"SW1 is DIR-Down ");
            }                 
            else
            {
               printf("Smile !\n\r"); 
               OLED_Put8x16Str(0,2,"No SW1 Event    ");
            }
                
              
switch (CLED_Steps)  
{
    case    0:
                SPI_Buf[0] = CLED_Brightness ;
                SPI_Buf[1] = 0x00 ;
                SPI_Buf[2] = 0x00 ;
                SPI_Buf[3] = 0x00 ;
                SPI_Buf[4] = CLED_Brightness ;
                SPI_Buf[5] = 0x00 ;
                SPI_Buf[6] = 0x00 ;
                SPI_Buf[7] = 0x00 ;     
                CLED_Steps = 1 ;
                break ;
                
    case 1:
                SPI_Buf[0] = 0x00 ;
                SPI_Buf[1] = CLED_Brightness ;
                SPI_Buf[2] = 0x00 ;
                SPI_Buf[3] = CLED_Brightness ;
                SPI_Buf[4] = 0x00 ;
                SPI_Buf[5] = 0x00 ;
                SPI_Buf[6] = 0x00 ;
                SPI_Buf[7] = 0x00 ;     
                CLED_Steps = 2 ;
                break ;        
    case 2:
                SPI_Buf[0] = 0x00 ;
                SPI_Buf[1] = 0x00 ;
                SPI_Buf[2] = CLED_Brightness ;
                SPI_Buf[3] = 0x00 ;
                SPI_Buf[4] = 0x00 ;
                SPI_Buf[5] = CLED_Brightness ;
                SPI_Buf[6] = 0x00 ;
                SPI_Buf[7] = 0x00 ;     
                CLED_Steps = 3 ;
                break ;        
    case 3:
                SPI_Buf[0] = 0x00 ;
                SPI_Buf[1] = 0x00 ;
                SPI_Buf[2] = 0x00 ;
                SPI_Buf[3] = 0x00 ;
                SPI_Buf[4] = 0x00 ;
                SPI_Buf[5] = 0x00 ;
                SPI_Buf[6] = 0x00 ;
                SPI_Buf[7] = 0x00 ;     
                CLED_Steps = 0 ;
                break ;        
        
    default :
                SPI_Buf[0] = 0x02 ;
                SPI_Buf[1] = 0x02 ;
                SPI_Buf[2] = 0x02 ;
                SPI_Buf[3] = 0x20 ;
                SPI_Buf[4] = 0x20 ;
                SPI_Buf[5] = 0x20 ;
                SPI_Buf[6] = 0x00 ;
                SPI_Buf[7] = 0x00 ;     
                CLED_Steps = 0 ;
                break ;        
        break ;
        
                
}

                CCL_To_CLED( ) ;
                
                I2C_Wbuffer[0] = 4 ;
                I2C0_Host.WriteRead(VEML7700_ADDR,I2C_Wbuffer,1,I2C_Rbuffer,2);
                while ( I2C0_Host.IsBusy()) ;
                               
                LightingValue = I2C_Rbuffer[0] + (I2C_Rbuffer[1]) * 256;
                
                if (LightingValue < 2048)
                    CLED_Brightness = 128 ;
                else
                    CLED_Brightness = 16 ;
                
                sprintf (ASCII_Buffer,"%4d", LightingValue ) ;
                OLED_Put8x16ASCII(80,6,4,(uint8_t*)ASCII_Buffer) ;                
               
                
                // SPI0.CTRLB = 0x81;
                
                
                SPI0_Initialize();
                SPI0.CTRLB = 0x80; 
                
                MCP4921_Value += 1000 ;
                if (MCP4921_Value >= 4096)
                    MCP4921_Value = 0 ;
                
                MCP4921_Output.WordValue = 0x3000 | MCP4921_Value;
                SPI0CS_PA7_SetLow();

                SPI0.DATA = MCP4921_Output.ByteVal[1];         
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ; 
                SPI_rdata = SPI0.DATA;      
                
                SPI0.DATA = MCP4921_Output.ByteVal[0];                
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;                  
                SPI_rdata = SPI0.DATA;           
                sprintf (ASCII_Buffer,"%4d", LightingValue ) ; 
                
                SPI0CS_PA7_SetHigh();
                LDAC_PD7_SetLow();
                NOP();
                NOP();
                NOP();
                LDAC_PD7_SetHigh();
                                
                RTC_INT_FLAG = 0 ;
                
                LED2_PB3_SetLow();                 
            
        }
    }    
}

void    CCL_To_CLED(void)
{
                SPI0.CTRLB = 0x81; 
                NOP();
                NOP();
                NOP();

                
                SPI0.DATA = SPI_Buf[0] ;
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();
                NOP();                
                TCA0.SINGLE.CTRLA|= TCA_SINGLE_ENABLE_bm;   // TCA0_Start();                
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;
                SPI_rdata = SPI0.DATA;
                SPI0.DATA = SPI_Buf[1];
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;
                SPI_rdata = SPI0.DATA;
                SPI0.DATA = SPI_Buf[2];                
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;
                SPI_rdata = SPI0.DATA;
                SPI0.DATA = SPI_Buf[3];                
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;   
                
                SPI_rdata = SPI0.DATA;
                SPI0.DATA = SPI_Buf[4];                
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;         

                 SPI_rdata = SPI0.DATA;
                SPI0.DATA = SPI_Buf[5];                
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;         
                
                SPI_rdata = SPI0.DATA;
                SPI0.DATA = SPI_Buf[6];                
                while (!(SPI0.INTFLAGS & SPI_RXCIF_bm)) ;                         

                TCA0.SINGLE.CTRLA&= ~TCA_SINGLE_ENABLE_bm;  // TCA0_Stop();
                
                TCA0_Initialize();
                SPI_rdata = SPI0.DATA;
                    
}